%define gluname			mesaglu
%define glumajor		1
%define libgluname		%mklibname %{gluname} %{glumajor}
%define libgluname_virt		lib%{gluname}

%define name glu
%define version 9.0.0
%define rel 4
%define release			%mkrel %{rel}
%define distname		%{name}-%{version}

Summary:	OpenGL Utility Library from Mesa
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{distname}.tar.xz
License:	MIT
Group:		System/Libraries
Url:		http://www.mesa3d.org/
BuildRequires:	mesagl-devel

%description
GLU is the OpenGL Utility Library.
It provides a number of functions upon the base OpenGL library to provide
higher-level drawing routines from the more primitive routines provided by
OpenGL.

%package -n	%{libgluname}
Summary:	Files for Mesa (GLU libs)
Group:		System/Libraries
Provides:	%{libgluname_virt} = %{version}-%{release}

%package -n	%{libgluname}-devel
Summary:	Development files for GLU libs
Group:		Development/Libraries
Requires:	%{libgluname} = %{version}-%{release}
Requires:	mesagl-devel
Provides:	lib%{gluname}-devel = %{version}-%{release}
Provides:	%{gluname}-devel = %{version}-%{release}
Provides:	libMesaGLU-devel = %{version}-%{release}
Provides:	MesaGLU-devel = %{version}-%{release}
Provides:	libglu-devel

%description -n	%{libgluname}
GLU is the OpenGL Utility Library.
It provides a number of functions upon the base OpenGL library to provide
higher-level drawing routines from the more primitive routines provided by
OpenGL.

%description -n	%{libgluname}-devel
This package contains the headers needed to compile programs with GLU.

%prep
%setup -q -n %{distname}
%apply_patches
autoreconf -vfi

%build
%configure2_5x --disable-static
%make

%install
%makeinstall
# .la files are not needed by mesa
find %{buildroot} -name '*.la' -exec rm {} \;

%files -n %{libgluname}
%defattr(-,root,root)
%{_libdir}/libGLU.so.%{glumajor}*

%files -n %{libgluname}-devel
%defattr(-,root,root)
%{_includedir}/GL/glu.h
%{_includedir}/GL/glu_mangle.h
%{_libdir}/libGLU.so
%{_libdir}/pkgconfig/glu.pc


%changelog
* Wed Aug 30 2017 adrianomorselli <adrianomorselli> 9.0.0-4uplos2017
- rebuild for 2017
